Generator TOTP (Kode 2FA)
Buat kata sandi sekali pakai berbasis waktu (TOTP) dari kunci Base32 dengan SHA-1/256/512, 6–8 digit, dan periode bebas. Hitung mundur langsung, sesuai RFC 6238.
Kunci yang ditampilkan layanan saat Anda mengaktifkan 2FA. Spasi dan huruf kecil tidak masalah.
Kosongkan untuk memakai waktu sekarang.
TOTP (RFC 6238) menghitung HOTP dengan penghitung T = floor(waktu Unix / periode). Kebanyakan aplikasi memakai SHA-1, 6 digit, dan 30 detik. Jam perangkat harus akurat. Kunci tidak pernah keluar dari browser Anda, tetapi perlakukan seperti kata sandi.
Berjalan sepenuhnya di browser Anda. Data Anda tidak pernah diunggah.
Apa itu Generator TOTP (2FA)?
Alat ini menghitung kode 6–8 digit yang sama dengan yang ditampilkan aplikasi authenticator, dari kunci rahasia Base32. Kode diperbarui langsung dengan hitung mundur, juga menampilkan kode sebelumnya dan berikutnya, dan bisa menghitung kode untuk waktu Unix apa pun guna menguji server.
Cara menggunakan Generator TOTP (2FA)
- Tempel Kunci rahasia (Base32) atau klik Kunci acak baru.
- Atur Algoritma, Jumlah digit, dan Periode (detik) agar sesuai layanan (biasanya SHA-1, 6, 30).
- Baca kode saat ini dan sisa detik.
- Jika perlu, masukkan Waktu Unix (opsional) untuk menghitung kode pada momen tertentu.
Contoh
Kunci GEZDGNBVGY3TQOJQGEZDGNBVGY3TQOJQ, SHA-1, 8 digit, waktu Unix 59
94287082
Vektor uji Lampiran B RFC 6238 (kuncinya adalah ASCII 12345678901234567890 dalam Base32).
Kapan menggunakan Generator TOTP (2FA)
Pakai untuk menguji implementasi 2FA, memulihkan kode di desktop saat Anda punya kuncinya, atau memahami cara kerja TOTP. Jangan menyimpan rahasia akun asli di tab browser; pakai aplikasi authenticator atau pengelola kata sandi.
Cara kerja Generator TOTP (2FA)
TOTP (RFC 6238) menghitung HOTP (RFC 4226) dengan penghitung T = floor(waktu Unix / periode): HMAC-SHA-1/256/512 dari penghitung big-endian 8 byte dengan kunci rahasia hasil dekode Base32, lalu pemotongan dinamis (offset = nibble terakhir) dan modulo 10^digit. HMAC dihitung dengan Web Crypto API. Semua vektor uji Lampiran B RFC 6238 direproduksi persis.
Kasus Penggunaan Umum
- Menguji login TOTP di aplikasi web yang sedang dikembangkan
- Memeriksa selisih jam server dengan membandingkan kode
- Mereproduksi vektor uji RFC 6238
- Membuat kode untuk akun uji dalam dokumentasi CI
Catatan Keamanan
Kunci rahasia TOTP sama sensitifnya dengan kata sandi: siapa pun yang memilikinya bisa membuat kode Anda.
Pertanyaan Umum
Mengapa kode saya tidak cocok dengan aplikasi?
Pastikan algoritma, jumlah digit, dan periode sama, dan jam komputer Anda akurat; selisih jam 30 detik mengubah kodenya.
Apakah kunci rahasia saya dikirim ke suatu tempat?
Tidak. HMAC dihitung di browser Anda dengan Web Crypto.
Alfabet Base32 apa yang dipakai?
RFC 4648: A–Z dan 2–7. Spasi, tanda hubung, huruf kecil, dan padding = diterima dan diabaikan.